<script>
  import { json } from 'd3-fetch';
  import { onMount } from 'svelte';
  

  import Selection from './_design_1_two_selection.svelte';
  import Line from './_design_1_plot.svelte';

  // Size and margins
  const width = 600;
  const height = 250;
  const margin = { top: 10, right: 10, bottom: 10, left: 10 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  let datapoints = null;
  let buildingtype = null;
  let location_selected = 'Baltimore';
  let type_selected = 'Across all building types';
  let filter_data;

  onMount(async () => {
      datapoints = await json('/data/hourly_heating_december.json');
      buildingtype = [... new Set (datapoints.map(d => d.buildingtype))];
    });

  function extract_data (data, location_selected) { 
    if (data != null) {
    filter_data = data.filter(d => (d.city == location_selected));
    }
    return filter_data
  };

</script>

{#if !datapoints}
  <p>Loading the data, please wait...</p>
{:else}
    <Selection bind:location_selected={location_selected} bind:type_selected={type_selected} {datapoints}/>
  
  <svg {width} {height}>
      <g transform='translate({margin.left}, {margin.top})'>
            {#each buildingtype as d, i}
              <g transform='translate(0,{i*15+8})'>
                <text>{d}</text>
                  <g transform='translate(125,0)'>
                   <Line dataset={extract_data(datapoints, location_selected)} types={d} {type_selected} />
                  </g>
              </g>
            {/each}  
        
      </g>
      
  </svg>

{/if}


<style>
  svg {
    border: 1px solid black;
    border-radius: 5px;
    
  }
 
  
</style>
